Saltar al contenido

Get an opportunity position

Módulo Opportunities

GET/opportunity-positions/{id}opportunityPositions.get

A position within an opportunity. Returns one opportunity position with its `ETag`. A opportunity position the caller may not see returns 404.

  • Requiere la capacidad opportunities.posting.read.
  • Alcances de OAuth: opportunities.
  • Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

opportunityPositions.get: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the opportunity position.
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Respuesta 200: OpportunityPosition

opportunityPositions.get: OpportunityPosition
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the opportunity position.
org_idstring (uuid)SíIdentifier of the owning organization, derived from the parent row and never accepted from the caller.
created_atstring (date-time)SíWhen the row was created.
created_bystring (uuid) | nullSíIdentifier of the person who created the row; null when a seed, platform or system process created it.
updated_atstring (date-time)SíWhen the row was last updated.
updated_bystring (uuid) | nullSíIdentifier of the person who last updated the row; null when a seed, platform or system process updated it.
opportunity_idstring (uuid)SíIdentifier of the opportunity.
labelstringSíPosition label, for example Rigger 2.Restricciones: length 1 to 300
call_atstring (date-time) | nullSíCall time.
ends_atstring (date-time) | nullSíWhen the position's work ends.
{
  "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "org_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "created_at": "2026-10-08T14:30:00Z",
  "created_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "updated_at": "2026-10-08T14:30:00Z",
  "updated_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "opportunity_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "label": "Rigger 2",
  "call_at": "2026-10-08T14:30:00Z",
  "ends_at": "2026-10-08T14:30:00Z"
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/opportunity-positions/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.opportunityPositions.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.opportunity_positions.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos opportunity-positions get 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f